Calendar
Get calendar, slots, settings or structured absence
GET
/
profiles
/
{profile_id}
/
calendar
Error
A valid request URL is required to generate request examples{
"data": {
"exists": false,
"profile_id": "22222222-2222-4222-8222-222222222222"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "calendar_range_too_dense",
"message": "Narrow the calendar range",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
Exclusive RFC3339 timestamp with UTC offset. Supply together with start. End must be after start and within the configured maximum range (at most 366 days). A window containing more than the configured maximum slots (at most 100) returns 422 calendar_range_too_dense.
RFC3339 timestamp with an explicit UTC offset.
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"exists": false,
"profile_id": "22222222-2222-4222-8222-222222222222"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "calendar_range_too_dense",
"message": "Narrow the calendar range",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
